ArrayObject::natsort
ArrayObject::offsetGet
ArrayObject
PHP Manual

# ArrayObject::offsetExists

(PHP 5 >= 5.0.0)

ArrayObject::offsetExists — Returns whether the requested index exists

### Description

bool ArrayObject::offsetExists ( mixed `$index` )

### Parameters

`index`

  The index being checked.

### Return Values

`TRUE` if the requested index exists, otherwise `FALSE`

### Examples

Example #1 ArrayObject::offsetExists example

`<?php
$arrayobj = new ArrayObject(array('zero', 'one', 'example'=>'e.g.'));
var_dump($arrayobj->offsetExists(1));
var_dump($arrayobj->offsetExists('example'));
var_dump($arrayobj->offsetExists('notfound'));
?>`

The above example will output:

    bool(true)
    bool(true)
    bool(false)

ArrayObject::natsort
ArrayObject::offsetGet
ArrayObject
PHP Manual